#
# spec file for package python-pyaml
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-pyaml
Version:        17.10.0
Release:        lp151.2.2
Summary:        Produce pretty and readable YAML-serialized data
License:        WTFPL
Group:          Development/Languages/Python
Url:            https://github.com/mk-fg/pretty-yaml
Source:         https://files.pythonhosted.org/packages/source/p/pyaml/pyaml-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
%if %{with test}
BuildRequires:  %{python_module Unidecode}
%endif
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML
Recommends:     python-Unidecode
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
PyYAML-based python module to produce pretty and readable
YAML-serialized data.

%prep
%setup -q -n pyaml-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc COPYING README.rst
%{python_sitelib}/*

%changelog
* Fri Nov 10 2017 arun@gmx.de
- update to version 17.10.0:
  * README: add link to ruamel.yaml module as a parser counterpart
- changes from version 17.8.0:
  * Represent numpy arrays as lists, as per #24
- changes from version 17.7.2:
  * allow line width to be passed in throguh cli
* Thu May 18 2017 toddrme2178@gmail.com
- Initial version
